Download it now!
Bug 117157 - Add "Paste special → as SVG" option
Summary: Add "Paste special → as SVG" option
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2018-04-22 12:26 UTC by RGB
Modified: 2018-05-31 14:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RGB 2018-04-22 12:26:20 UTC
Right now, when selecting "paste special" after copying a drawing object, the only available options are "draw 8", "graphic object", "GDI metafile" and "bitmap". While GDI is a vector format, it would be useful to have the option to paste "as SVG" without the need to first export the graphic and then insert it.

Rationale: at least on my experience, pasting complex drawings on a Writer document as Draw objects is detrimental to program performance, hence the usefulness of using a vector image. SVG is a widely recognized standard and LibreOffice already have the ability to both, export and display SVG files. For all this "pasting special → as SVG" would be a really interesting option to add.
Comment 1 V Stuart Foote 2018-04-23 02:48:12 UTC
Not sure that is a correct interpretation. Paste special as either draw 8 or GDI metafile would not be round tripped through the SVG filters.

Either offer better fidelity to the original Draw image than an SVG would. While Draw 8 would impose OLE overhead, the GDI metafile is the to canvas rendering that is used in Draw.
Comment 2 Xisco Faulí 2018-05-31 14:43:59 UTC
> Rationale: at least on my experience, pasting complex drawings on a Writer
> document as Draw objects is detrimental to program performance

In that case, better to improve the performance than spending time implementing this feature.
Armin is doing a huge cleanup of the code right now, which should lead to a better performance in general.
Closing as RESOLVED WONTFIX